
Figure - Bug #112126
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111050 (New): AF-V2.0-Launcher/SystemUI-桌面管理

【AF】【EVT】【Widget】1x1大小的快捷方式添加至桌面后无法被移除
2022-09-24 13:53 - CD Test赵飞

Status: CLOSED Start date: 2022-09-24

Priority: Normal Due date: 2022-09-30

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

Resolution: -- Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha

Reproducibility: Every time Fixed Version: 2022-09-27

Test Type: IT Root cause:

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220924.alpha_0019

【前提条件】

1、设备已开机

【测试步骤】

1、长按桌面，选择“添加微件”

2、在微件列表中选择1x1大小的快捷方式，如“音乐播放列表 1x1”并拖拽至桌面并选择一个音乐播放列表

3、长按添加的音乐播放列表图标

【预期结果】

3、桌面顶部出现“移除”区域，可以拖动图标至“移除”上方移除此快捷图标

【实际结果】

3、桌面没有出现“移除”的区域或选项

【复现率】

5/5

【日志】

录屏见附件

【Note】

其他尺寸的widget可以正常被移除

History

#1 - 2022-09-26 10:35 - CD APP-黄棚

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-黄棚

#2 - 2022-09-26 10:37 - CD APP-黄棚

- % Done changed from 0 to 10

- Degrated changed from -- to No
■ Current conclusion

分析中

■ My analysis

猜测是移除的类型判断错误

■ Next action

分析代码

#3 - 2022-09-26 12:34 - CD APP-黄棚

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 10 to 100

- Verified Version set to 2022-09-27

- Fixed Version set to 2022-09-27

■ Current conclusion

分析完成

■ My analysis

优化icon类型判断，可解决此问题

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/151524

#4 - 2022-09-26 16:10 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD Test赵飞

- Verified Version deleted (2022-09-27)

#5 - 2022-09-27 18:45 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha

验证结果：PASS

#6 - 2022-09-27 18:46 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151524 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Launcher: Optimize the desktop icon to generate item type1.Optimize the desktop icon to generate item type2.Optimize delete data clearingTC-RID:

1201-0205304IssueID: TS-R-DF-112126Change-Id: I9acfd021da8ef04603215ea171623cf145795133
Files

screen-20220924-005843.mp4 10.6 MB 2022-09-24 CD Test赵飞
